#if !defined(AFX_SLIDERBUTTON_H__13052560_D9C7_11D3_ABF3_98EAEFB6F01A__INCLUDED_)
#define AFX_SLIDERBUTTON_H__13052560_D9C7_11D3_ABF3_98EAEFB6F01A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SliderButton.h : header file
//



/////////////////////////////////////////////////////////////////////////////
// CSliderButton command target

class CSliderButton : public CCmdTarget
{
	DECLARE_DYNCREATE(CSliderButton)

	CSliderButton();           // protected constructor used by dynamic creation

// Attributes
public:

// Operations
public:
	BOOL IsCurrentTracking();
	void Execute();
	void Draw(CDC* pDC, BOOL bDrawFocus = TRUE);
	BOOL HitTest(CPoint point);

	CRect		m_Rect;

	HICON		m_hIcon;

	CPoint		m_IconPos;
	CPoint		m_TextPos;

	CString		m_DisplayName;
	CString		m_LinkFile;
	CString		m_cFontText;

	int			m_nFontHeight;
	int			m_IconSize;

	COLORREF	m_clrFontColor;
	COLORREF	m_clrFontHighliteColor;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSliderButton)
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL	m_bCurrentlyHighlighted;

	virtual ~CSliderButton();

	// Generated message map functions
	//{{AFX_MSG(CSliderButton)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SLIDERBUTTON_H__13052560_D9C7_11D3_ABF3_98EAEFB6F01A__INCLUDED_)
